(function () {
    var porlinea = document.querySelector("#consulta_2_button");
    porlinea.onclick = function () {
    	resizeapp();
    	var linea = $("#consulta_2_linea").val();
    	if (utils.isEmpty(linea)){
			$("#dlg_message_text").html("Escriba el n&uacute;mero de l&iacute;nea");
			$("#dlg_message").show();	
			//message_dialog.show("Escriba el n&uacute;mero de l&iacute;nea");
			return;
		}
        utils.verifyToken(function(token){
           consultas.queryService("GetBusPrediction", token, {
				line:linea
			});
        });
    };

    var porlineayparada = document.querySelector("#consulta_1_button");
    porlineayparada.onclick = function () {
    	var linea = $("#consulta_1_linea").val();
    	var parada = $("#consulta_1_parada").val();
    	resizeapp();
    	if (utils.isEmpty(linea)){
				//message_dialog.show("Escriba el n&uacute;mero de l&iacute;nea");
				$("#dlg_message_text").html("Escriba el n&uacute;mero de l&iacute;nea");
				$("#dlg_message").show();			
				return;
			} else if (utils.isEmpty(parada)){
				//message_dialog.show("Escriba el n&uacute;mero de parada");
				$("#dlg_message_text").html("Escriba el n&uacute;mero de parada");
				$("#dlg_message").show();		
				return;
			} else if (!utils.validarInteger(parada)){
				//message_dialog.show("No parece un n&uacute;mero de parada v&aacute;lido");
				$("#dlg_message_text").html("No parece un n&uacute;mero de parada v&aacute;lido");
				$("#dlg_message").show();			
				return;
			} 
        utils.verifyToken(function(token){
           consultas.queryService("GetBusPredictionWithBusStop", token, {
				line:linea, 
				stop:parada
			});
        });
    };

    var consulta_3_button = document.querySelector("#consulta_3_button");
    consulta_3_button.onclick = function () {
    	var linea = $("#consulta_3_linea").val();
    	var calle = $("#consulta_3_calle").val();
    	resizeapp();
    	if (utils.isEmpty(linea)){
				//message_dialog.show("Escriba el n&uacute;mero de l&iacute;nea");
				$("#dlg_message_text").html("Escriba el n&uacute;mero de l&iacute;nea");
				$("#dlg_message").show();			
				return;
			} else if (utils.isEmpty(calle)){
				//message_dialog.show("Escriba el n&uacute;mero de parada");
				$("#dlg_message_text").html("Escriba la calle m&aacute;s cercana");
				$("#dlg_message").show();		
				return;
			} 

        utils.verifyToken(function(token){
           consultas.queryService("GetBusStopNumber", token, {
				line:linea, 
				street:calle
			});
        });
    };

    var ask_phone_submit = document.querySelector("#ask_phone_submit");
    ask_phone_submit.onclick = function(){
    	resizeapp();
    	var phone = $("#ask_phone_input").val();
    	if(utils.validarCel(phone)===false){
			$("#dlg_message_text").html("El n&uacute;mero ingresado no es v&aacute;lido.<br />Servicio disponible s&oacute;lo para Movistar.");
			$("#dlg_message").show();		
			return;
    	}
    	consultas.ask_phone(phone);
    };

    var ask_code_submit = document.querySelector("#ask_code_submit");
    ask_code_submit.onclick = function(){
    	resizeapp();
    	var phone = $("#ask_code_phone").text();
    	var code = $("#ask_code_input").val();
    	if(utils.validarCel(phone)===false){
			$("#dlg_message_text").html("El n&uacute;mero ingresado no es v&aacute;lido.<br />Servicio disponible s&oacute;lo para Movistar.");
			$("#dlg_message").show();		
			return;
    	}
    	if (!utils.validarCodigo(code)){
			$("#dlg_message_text").html("No parece un c&oacute;digo v&aacute;lido.");
			$("#dlg_message").show();	
			return false;
		}
    	consultas.ask_code(phone,code);
    };
    
    var ask_code_resend = document.querySelector("#ask_code_resend");
    ask_code_resend.onclick = function(){
    	resizeapp();
    	var phone = $("#ask_code_phone").text();
    	if(utils.validarCel(phone)===false){
			$("#dlg_message_text").html("El n&uacute;mero ingresado no es v&aacute;lido.<br />Servicio disponible s&oacute;lo para Movistar.");
			$("#dlg_message").show();		
			return;
    	}
    	consultas.re_ask_phone(phone);
    };
    var results_favourite_button = document.querySelector("#results_favourite_button");
    results_favourite_button.onclick = function(){
    	favourites.button_pressed();
    }
    

})();